Go to the latest version of this document.

# ``twisted`.`web`.`tap``

module documentation
(source)

Support for creating a service which runs a web server.

Class | `Options` | Define the options accepted by the twistd web plugin.
Function | `makePersonalServerFactory` | Create and return a factory which will respond to distrib requests against the given site.
Function | `makeService` | Undocumented
Class | `_AddHeadersResource` | Undocumented

def makePersonalServerFactory(site): (source)

Create and return a factory which will respond to distrib requests against the given site.

Parameters
site:`twisted.web.server.Site` | Undocumented

Returns
`twisted.internet.protocol.Factory` | Undocumented

def makeService(config): (source)

Undocumented